Alokai

SapccApiGetOrgDocumentsRequest

Request parameters for getOrgDocuments operation in SapccApi. SapccApiGetOrgDocumentsRequest

interface SapccApiGetOrgDocumentsRequest {
	readonly baseSiteId: string;
	readonly endRange?: string;
	readonly fields?: string;
	readonly filterByKey?: string;
	readonly filterByValue?: string;
	readonly orgUnitId: string;
	readonly page?: number;
	readonly pageSize?: number;
	readonly sort?: string;
	readonly startRange?: string;
	readonly status?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetOrgDocuments
endRangeOptionalstringUpper limit for a specified range filter (for range filterByKeys: orgDocumentIdRange, createdAtDateRange (format: MM/dd/yyyy), dueAtDateRange (format: MM/dd/yyyy), amountRange (number) and openAmountRange (number).) {string} SapccApiGetOrgDocuments
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetOrgDocuments
filterByKeyOptionalstringFilter to apply on the retrieved list of organizational documents. Possible values are: orgDocumentId, orgDocumentIdRange, orgDocumentType, createdAtDateRange, dueAtDateRange, amountRange, and openAmountRange. {string} SapccApiGetOrgDocuments
filterByValueOptionalstringValue for a specified filter (for single value filterByKeys: orgDocumentId and orgDocumentType.) {string} SapccApiGetOrgDocuments
orgUnitIdRequiredstringOrganizational unit identifier. {string} SapccApiGetOrgDocuments
pageOptionalnumberCurrent result page. Default value is 0. {number} SapccApiGetOrgDocuments
pageSizeOptionalnumberNumber of results returned per page. {number} SapccApiGetOrgDocuments
sortOptionalstringSorting method applied to the return results. Default value is: byCreatedAtDateAsc. {string} SapccApiGetOrgDocuments
startRangeOptionalstringLower limit for a specified range filter (for range filterByKeys: orgDocumentIdRange, createdAtDateRange (format: MM/dd/yyyy), dueAtDateRange (format: MM/dd/yyyy), amountRange (number) and openAmountRange (number).) {string} SapccApiGetOrgDocuments
statusOptionalstringOrganizational document status. Possible values are: open, closed, and all. {string} SapccApiGetOrgDocuments
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiGetOrgDocuments

On this page